Payments

The Payment object represents an invoice payment in invoicing system.

You can find out more about payments in our Help documentation: Recording Payments.

Following diagram shows payments in our data hierarchy:

InvoicePaymentPayment

Attributes

amount integer
Response Request Parameter `filter` Parameter `sort`

The payment amount in the invoice's currency.

amount_default object
Response

The payment amount converted to the organization's default currency.

amount_normalized object
Response

The payment amount converted to the normalized (reporting) currency.

budget_id integer
Parameter `filter`

ID of the budget (deal) associated with the invoice this payment was applied to.

company_id integer
Parameter `filter`

ID of the company (client) on the invoice this payment was applied to.

currency object
Response

The currency of this payment, inherited from the associated invoice.

currency_default object
Response

The organization's default currency for this payment.

currency_normalized object
Response

The normalized (reporting) currency for this payment.

date object
Parameter `sort`

Date when the payment was recorded.

external_id string
Response Parameter `filter`

An external identifier for this payment, used when syncing with third-party accounting systems.

id integer
Parameter `filter`

Unique identifier of this payment.

invoice invoice
Response

The invoice this payment was applied to.

invoice_id integer
Request Parameter `filter`

ID of the invoice this payment was applied to.

invoice_number object
Parameter `sort`

The invoice number of the associated invoice at the time this payment was recorded.

note string
Response Request Parameter `sort`

An optional note or memo about this payment.

number string
Parameter `filter`

The auto-generated sequence number for this payment.

organization organization
Response

The organization this payment belongs to.

paid_after string
Parameter `filter`

Filter for payments made after this date (used as a filter parameter).

paid_before string
Parameter `filter`

Filter for payments made before this date (used as a filter parameter).

paid_on string
Response Request Parameter `filter` Parameter `sort`

Date when the payment was received (paid).

project_id integer
Parameter `filter`

ID of the project associated with the invoice this payment was applied to.

query string
Parameter `filter`

A full-text search query to filter payments by invoice number or note.

subsidiary_id integer
Parameter `filter`

ID of the subsidiary associated with the invoice this payment was applied to.

written_off_on string
Response Request Parameter `filter` Parameter `sort`

Date when this payment was written off as uncollectable, or null if the payment is not written off.